/*!
 * simpleRectangle.js
 * author: Brent M. Dingle
 * last modified: 2015
 * Example script to draw a rectangle
 *
 */
 
// ----------------------------------------------------------------------------
// ----------------------------------------------------------------------------
// theProgram (singleton) Object                            theProgram Object
// ----------------------------------------------------------------------------
// ----------------------------------------------------------------------------
var theProgram = 
{
    // ------------------------------------------------------------------------
    // Main method/function
    // Initializes global variables, runs main program
    // Call this on window load --> theProgram.Main()
    // ------------------------------------------------------------------------
    Main: function() 
    {
        // "myCanvas" refers to the canvas id="myCanvas" seen in the body section of the HTML document
        theCanvas = document.getElementById("myCanvas");
        ctx = theCanvas.getContext("2d");
        ctx.fillStyle = "#aaaaaa";
        ctx.fillRect(0, 0, 300, 200); // draw a grey background

        //ctx.scale(2, 1);
        ctx.strokeRect(20, 10, 80, 60); // draw a black rectangle
        
        // Challenge 
        // Change the background rectangle to be 0, 0, 300, 100
        
        // Challenge
        // Use ctx.scale() to scale the black rectangle to be bigger 
        // -- did it shift location? why? where is the rectangle centred?
        
        // Challenge
        // Alter the above to draw a filled RED rectangle
    },
    
};  // end theProgram variable

// ----------------------------------------------------------------------------
//                                                          window.ONLOAD
// ----------------------------------------------------------------------------
window.onload = function()
{
    //console.log("DEBUG: window.onload entered");

    // Initialize and Start the game
    theProgram.Main();
};

// ----------------------------------------------------------------------------
// ----------------------------------------------------------------------------
// end of file
    